package cn.com.countrygarden.bi.main.model.erp;
/**
 * 验证模板中楼宇名称+单元+楼层+序号的组合是否唯一 
 * @author Austin
 */
public class UniqueBean {
	private String ztqy; //组团区域
	private String lymc; //楼宇名称
	private String dy;   //单元
	private String lc;   //楼层
	private String xh;   //序号
	
	public String getZtqy() {
		return ztqy;
	}
	public void setZtqy(String ztqy) {
		this.ztqy = ztqy;
	}
	public String getLymc() {
		return lymc;
	}
	public void setLymc(String lymc) {
		this.lymc = lymc;
	}
	public String getDy() {
		return dy;
	}
	public void setDy(String dy) {
		this.dy = dy;
	}
	public String getLc() {
		return lc;
	}
	public void setLc(String lc) {
		this.lc = lc;
	}
	public String getXh() {
		return xh;
	}
	public void setXh(String xh) {
		this.xh = xh;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		UniqueBean other = (UniqueBean) obj;
		if (dy == null) {
			if (other.dy != null)
				return false;
		} else if (!dy.equals(other.dy))
			return false;
		if (lc == null) {
			if (other.lc != null)
				return false;
		} else if (!lc.equals(other.lc))
			return false;
		if (lymc == null) {
			if (other.lymc != null)
				return false;
		} else if (!lymc.equals(other.lymc))
			return false;
		if (xh == null) {
			if (other.xh != null)
				return false;
		} else if (!xh.equals(other.xh))
			return false;
		if (ztqy == null) {
			if (other.ztqy != null)
				return false;
		} else if (!ztqy.equals(other.ztqy))
			return false;
		return true;
	}
	
}
